edb_1.31-3_all.deb


Advertisement

Description

edb - database program for GNU Emacs

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: edb
Package version: 1.31
Package release: 3
Package architecture: all
Package type: deb
Installed size: 1.15 KB
Download size: 407.41 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Binary package: edb_1.31-3_all.deb
    Source package: edb

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install edb deb package:
      # sudo apt-get install edb

    Changelog

    2013-07-03 - Tatsuya Kinoshita <tats@debian.org> edb (1.31-3) unstable; urgency=low [ Jari Aalto ] * Move to packaging format "3.0 (quilt)". * debian/clean - Delete test data. * debian/compat - Update to 9. * debian/control - (Build-Depends): Update to debhelper 9. - (Build-Depends-Indep): Add emacs24, rm emacs23, emacs22. - (Standards-Version): Update to 3.9.4. - (Vcs-*): Update to anonscm.debian.org. * debian/copyright - Update to format 1.0 * debian/debian-vars.mk - Update variables. * debian/emacsen-startup - (edb-debian-after-find-file): Preserve point, correct hook treatment. Patch thanks to Kevin Ryde <user42@zip.com.au> (Closes: #671585). * debian/patches - (10): New. Use DESTDIR. - (20): New. Use cl-flet. - (22): New. Use called-interactively-p. * debian/rules - Udate to dh(1) - (override_dh_auto_install): Delete duplicate file arb-demo and unneeded (see examples/README) symlinks to /dev/null and /etc/passwd. [ Tatsuya Kinoshita ] * debian/emacsen-install - (Install): Ignore old versions of GNU Emacs. * debian/control - (Depends): Add emacs24, rm emacs23, emacs22.

    2009-12-20 - Jari Aalto <jari.aalto@cante.net> edb (1.31-2) unstable; urgency=low * debian/docs - New. Install README, NEWS etc. (Closes: #544283). * debian/emacsen-startup - (edb-debian-inhibit-edb): Add documentation string. - (edb-debian-after-find-file): Improve documentation string. * debian/control - (Depends): Add emacs. - (Section): Change misc to lisp. * debian/emacsen-install - (Install): Adjust displayed message. * debian/rules - (clean): remove BYTE-COMPILE.el.

    2009-08-30 - Tatsuya Kinoshita <tats@debian.org> edb (1.31-1) unstable; urgency=low [ Jari Aalto ] * GENERAL INFORMATION - Read NEWS.Debian for incompatible changes. * New upstream release (Closes: #303785). - Compilation errors on install (Closes: #242105). - Please add info-dir-section to your info files (Closes: #528870). Included in original file doc/edb.texi, * debian/control - (Build-Depends): Update to debhelper 7. Remove dpatch. - (Build-Depends-Indep): Add emacs23 | emacs22 | emacs-snapshot. Remove emacs21. - (Depends): Add make. Add emacs23 (Closes: #542206), remove emacs21. emacs23 | emacs22 | emacs-snapshot. - (Depends): Add make. Move emacs* packages to Build-Depends-Indep. Add ${misc:Depends} (lintian). Add "dpkg (>= 1.15.4) | install-info" (lintian). - (Homepage): New field. Point to current upstream. - (Standards-Version): update to 3.8.3. - (Vcs-*): New fields. * debian/copyright - Update upstream information: current upstream and URL. - Adjust layout to match latest dh-make template. - Corrected Copyright from GPL-2 to GPL as this is the right edb license. - Spell out GPL-2 (lintian). * debian/emacsen-install - Rewrite for new upstream version. * debian/emacsen-remove - Adjust variable syntax and FLAVOR test. * debian/emacsen-startup - Rewrite for new upstream version. - Rename custom functions and variables to clean name space 'edb-debian-*'. * debian/{patches,patches-original}/ - Discard all old patches; start from fresh with new edb. * debian/{prerm,postinst} - Delete; not needed with debhelper 7. * debian/README.Debian - Remove old patch information to previous releases. - Add introduction to EDB. * debian/rules - Adjust to new upstream release. - (install): use dh_prep (lintian). [ Tatsuya Kinoshita ] * debian/emacsen-startup - Define edb-debian-inhibit-edb to prevent a void-variable error.

    Advertisement
    Advertisement